Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365476 - [Doc RFE] Document the new option nfs.rdirplus
Summary: [Doc RFE] Document the new option nfs.rdirplus
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Bhavana
QA Contact: surabhi
URL:
Whiteboard:
Depends On:
Blocks: 1351549
TreeView+ depends on / blocked
 
Reported: 2016-08-09 11:08 UTC by Anjana Suparna Sriram
Modified: 2017-03-24 10:20 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 10:20:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1319078 None None None Never

Internal Links: 1319078

Description Anjana Suparna Sriram 2016-08-09 11:08:19 UTC
Additional information: POC: Nithya Balachandran

Comment 3 Bhavana 2016-11-03 07:19:29 UTC
Hi Nithya,

Should this option be documented in the table under "10.1. Configuring Volume Options" ?

https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-single/Administration_Guide/index.html#Configuring_Volume_Options

If yes, can you please share the "Allowed Values", "Default Value", and a brief description of the value. 

Thanks

Comment 4 Nithya Balachandran 2016-11-09 05:33:38 UTC
From the code:

        { .key         = "nfs.rdirplus",
          .voltype     = "nfs/server",
          .option      = "nfs.rdirplus",
          .type        = GLOBAL_DOC,
          .op_version  = GD_OP_VERSION_3_7_12,
          .description = "When this option is turned off NFS falls back to "
                         "standard readdir instead of readdirp"
        },

The default value is on. Turning this off would result in more lookup and stat requests being sent from the client causing a dip in performance.

Comment 5 Soumya Koduri 2016-11-09 05:40:40 UTC
(In reply to Bhavana from comment #3)
> Hi Nithya,
> 
> Should this option be documented in the table under "10.1. Configuring
> Volume Options" ?
> 
> https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-
> single/Administration_Guide/index.html#Configuring_Volume_Options

yes. It seems appropriate to add this option to the existing Volume Options list.

> 
> If yes, can you please share the "Allowed Values", "Default Value", and a
> brief description of the value. 

Nithya has provided all the required information above. I do not have anything more to add. Thanks!

> 
> Thanks

Comment 6 Bhavana 2016-11-24 10:32:49 UTC
Hi Soumya / Nithya,

The option is added in the table:

http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-bz-1365476-new_option_nfs.rdirplus/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#Configuring_Volume_Options

I wanted to know if we want to tell the customer about the dip in performance, or is it better to just say that "It is not recommended to turn this option off" ?

For now, I have retained the info shared in comment 4

Comment 7 Soumya Koduri 2016-11-29 18:48:31 UTC
Content looks good to me. Maybe we can reword it to 
"Turning this off would result in more lookup and stat requests being sent from the client which may impact performance." Thoughts?

Comment 8 Bhavana 2016-12-06 07:16:13 UTC
Alright, so we do want to inform the customer about the impact on performance :)

I have updated the content accordingly:

http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-master/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#Configuring_Volume_Options

Comment 9 surabhi 2017-02-07 10:47:05 UTC
The allowed options are written in defaults. need to update the section.

Comment 11 surabhi 2017-02-07 10:52:59 UTC
Verified that the options are added in the volume section. Also verified the on and off options works successfully for nfs.rdirplus. Moving this RFE to verified.

Comment 12 Rejy M Cyriac 2017-03-24 10:20:46 UTC
RHGS 3.2.0 GA completed on 23 March 2017


Note You need to log in before you can comment on or make changes to this bug.